Class TenantDomainOwnershipHttpProofCollectionResult
Namespace: Cephalon.MultiTenancy.Governance.Services
Assembly: Cephalon.MultiTenancy.Governance.dll
Describes the result of one tenant-domain ownership HTTP proof collection attempt.
public sealed class TenantDomainOwnershipHttpProofCollectionResultInheritance
Section titled “Inheritance”object ← TenantDomainOwnershipHttpProofCollectionResult
Inherited Members
Section titled “Inherited Members”object.Equals(object?), object.Equals(object?, object?), object.GetHashCode(), object.GetType(), object.ReferenceEquals(object?, object?), object.ToString()
Constructors
Section titled “Constructors”TenantDomainOwnershipHttpProofCollectionResult(string, string, string?, string, bool, bool, DateTimeOffset, Uri?, int?, long?, string?, TenantDomainOwnershipProofPublicationPlanResult?, TenantDomainOwnershipProofEvaluationResult?, TenantDomainOwnershipDescriptor?, string, IReadOnlyDictionary<string, string>?)
Section titled “ TenantDomainOwnershipHttpProofCollectionResult(string, string, string?, string, bool, bool, DateTimeOffset, Uri?, int?, long?, string?, TenantDomainOwnershipProofPublicationPlanResult?, TenantDomainOwnershipProofEvaluationResult?, TenantDomainOwnershipDescriptor?, string, IReadOnlyDictionary<string, string>?)”Creates a tenant-domain ownership HTTP proof collection result.
public TenantDomainOwnershipHttpProofCollectionResult(string tenantId, string domainName, string? verificationMethod, string outcome, bool collected, bool evaluated, DateTimeOffset collectedAtUtc, Uri? collectionUri, int? statusCode, long? contentLength, string? observedProofFingerprint, TenantDomainOwnershipProofPublicationPlanResult? publicationPlanResult, TenantDomainOwnershipProofEvaluationResult? evaluationResult, TenantDomainOwnershipDescriptor? domainOwnership, string reason, IReadOnlyDictionary<string, string>? metadata = null)Parameters
Section titled “Parameters”tenantId string
The tenant identifier that was evaluated.
domainName string
The canonical domain name that was evaluated.
verificationMethod string?
The verification method used for collection.
outcome string
The stable HTTP proof collection outcome.
collected bool
A value indicating whether HTTP proof content was collected.
evaluated bool
A value indicating whether proof evaluation reached a terminal workflow outcome.
collectedAtUtc DateTimeOffset
The UTC timestamp when collection executed.
collectionUri Uri?
The URI used to collect the HTTP proof.
statusCode int?
The HTTP status code returned by the proof endpoint.
contentLength long?
The collected HTTP proof response body length.
observedProofFingerprint string?
The SHA-256 fingerprint of the collected proof body.
publicationPlanResult TenantDomainOwnershipProofPublicationPlanResult?
The publication-plan result used by collection.
evaluationResult TenantDomainOwnershipProofEvaluationResult?
The proof-evaluation result produced after collection.
domainOwnership TenantDomainOwnershipDescriptor?
The matching or resulting domain ownership descriptor when one exists.
reason string
The operator-facing HTTP proof collection reason.
metadata IReadOnlyDictionary<string, string>?
Optional result metadata.
Properties
Section titled “Properties”Collected
Section titled “ Collected”Gets a value indicating whether HTTP proof content was collected.
public bool Collected { get; }Property Value
Section titled “Property Value”CollectedAtUtc
Section titled “ CollectedAtUtc”Gets the UTC timestamp when collection executed.
public DateTimeOffset CollectedAtUtc { get; }Property Value
Section titled “Property Value”CollectionUri
Section titled “ CollectionUri”Gets the URI used to collect the HTTP proof.
public Uri? CollectionUri { get; }Property Value
Section titled “Property Value”Uri?
ContentLength
Section titled “ ContentLength”Gets the collected HTTP proof response body length.
public long? ContentLength { get; }Property Value
Section titled “Property Value”long?
DomainName
Section titled “ DomainName”Gets the canonical domain name that was evaluated.
public string DomainName { get; }Property Value
Section titled “Property Value”DomainOwnership
Section titled “ DomainOwnership”Gets the matching or resulting domain ownership descriptor when one exists.
public TenantDomainOwnershipDescriptor? DomainOwnership { get; }Property Value
Section titled “Property Value”TenantDomainOwnershipDescriptor?
Evaluated
Section titled “ Evaluated”Gets a value indicating whether proof evaluation reached a terminal workflow outcome.
public bool Evaluated { get; }Property Value
Section titled “Property Value”EvaluationResult
Section titled “ EvaluationResult”Gets the proof-evaluation result produced after collection.
public TenantDomainOwnershipProofEvaluationResult? EvaluationResult { get; }Property Value
Section titled “Property Value”TenantDomainOwnershipProofEvaluationResult?
Metadata
Section titled “ Metadata”Gets optional result metadata.
public IReadOnlyDictionary<string, string> Metadata { get; }Property Value
Section titled “Property Value”IReadOnlyDictionary<string, string>
ObservedProofFingerprint
Section titled “ ObservedProofFingerprint”Gets the SHA-256 fingerprint of the collected proof body.
public string? ObservedProofFingerprint { get; }Property Value
Section titled “Property Value”Outcome
Section titled “ Outcome”Gets the stable HTTP proof collection outcome.
public string Outcome { get; }Property Value
Section titled “Property Value”PublicationPlanResult
Section titled “ PublicationPlanResult”Gets the publication-plan result used by collection.
public TenantDomainOwnershipProofPublicationPlanResult? PublicationPlanResult { get; }Property Value
Section titled “Property Value”TenantDomainOwnershipProofPublicationPlanResult?
Reason
Section titled “ Reason”Gets the operator-facing HTTP proof collection reason.
public string Reason { get; }Property Value
Section titled “Property Value”StatusCode
Section titled “ StatusCode”Gets the HTTP status code returned by the proof endpoint.
public int? StatusCode { get; }Property Value
Section titled “Property Value”int?
TenantId
Section titled “ TenantId”Gets the tenant identifier that was evaluated.
public string TenantId { get; }Property Value
Section titled “Property Value”VerificationMethod
Section titled “ VerificationMethod”Gets the verification method used for collection.
public string? VerificationMethod { get; }